Bug 737991

Summary: no ~ expansion for logger reporter in abrt-gui
Product: [Fedora] Fedora Reporter: Richard Marko <rmarko>
Component: abrtAssignee: Denys Vlasenko <dvlasenk>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 16CC: anton, dvlasenk, iprikryl, jberan, jmoskovc, kklic, mmilata, mtoman, npajkovs
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: All   
Whiteboard:
Fixed In Version: abrt-2.0.7-2.fc16 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-12-16 19:54:24 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 744774    

Description Richard Marko 2011-09-13 15:01:47 UTC
Description of problem:
Unable to use ~/abrt.out when configuring logger in abrt-gui. Complete path /home/user/abrt.out works fine.

Version-Release number of selected component (if applicable):
abrt-gui-2.0.4-2.fc16.x86_64

Actual results:
Error creating ~/abrt.out (no such file or so)

Expected results:
~/abrt.out created.

Comment 1 Denys Vlasenko 2011-10-17 14:04:59 UTC
Fixed in git:

commit fee9deb159ed0f47f2ff39814b85dfe0cf4cf70f
Author: Denys Vlasenko <dvlasenk@redhat.com>
Date:   Mon Oct 17 16:00:36 2011 +0200

    reporter-print: expand leading ~/ if present

Comment 2 Fedora Update System 2011-12-10 11:06:44 UTC
abrt-2.0.7-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/abrt-2.0.7-2.fc16

Comment 3 Fedora Update System 2011-12-11 21:58:11 UTC
Package abrt-2.0.7-2.fc16, libreport-2.0.8-3.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.0.7-2.fc16 libreport-2.0.8-3.fc16'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16990/libreport-2.0.8-3.fc16,abrt-2.0.7-2.fc16
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-12-16 19:54:24 UTC
abrt-2.0.7-2.fc16, libreport-2.0.8-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.